WordPress.org

Ready to get started?Download WordPress

Forums

argument should be an array Error (theme.php) (1 post)

  1. aprpillai
    Member
    Posted 3 years ago #

    I have a main Site and a 4 sub-domains (independdant installations not multi-sites) and all were working ok before upgrading to 3.0.4. Even after upgrading the sub-domain sites are working OK (technews.msaccesstips.com, vbasic.msaccesstips.com) but the main site (www.msaccesstips.com) not working and showing some error related to the themes on the dashboard. The error messages from the theme option are given below:

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /home/msaccess/public_html/wp-includes/theme.php on line 513

    Warning: uksort() [function.uksort]: The argument should be an array in /home/msaccess/public_html/wp-admin/themes.php on line 73

    Warning: array_slice() expects parameter 1 to be array, boolean given in /home/msaccess/public_html/wp-admin/themes.php on line 94

    under Available Themes:

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /home/msaccess/public_html/wp-admin/themes.php on line 150

    Warning: natcasesort() [function.natcasesort]: The argument should be an array in /home/msaccess/public_html/wp-admin/themes.php on line 151

    Tried to reinstall after taking backup of database and blog by creating a new database. The same errors are repeated.

    Please help.

Topic Closed

This topic has been closed to new replies.

About this Topic